summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTiziano Mueller <dev-zero@gentoo.org>2009-07-28 12:21:43 +0200
committerTiziano Mueller <dev-zero@gentoo.org>2009-07-28 12:21:43 +0200
commit55cc130004cec340532179aed90f6bbbf6ce982a (patch)
treea3b786a8da1ee8759093423c9d13163e40f3d3fe /www-apps
parentAdded cross-compile patch+changes written by b33fc0d3. (diff)
downloaddev-zero-55cc130004cec340532179aed90f6bbbf6ce982a.tar.gz
dev-zero-55cc130004cec340532179aed90f6bbbf6ce982a.tar.bz2
dev-zero-55cc130004cec340532179aed90f6bbbf6ce982a.zip
Added preliminary ebuilds for unbundled vendor-libs of remine plus redmine itself (based on matsuu's ebuild). NOT WORKING YET.
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/redmine/Manifest2
-rw-r--r--www-apps/redmine/redmine-0.8.4.ebuild97
2 files changed, 99 insertions, 0 deletions
diff --git a/www-apps/redmine/Manifest b/www-apps/redmine/Manifest
new file mode 100644
index 0000000..7c7717a
--- /dev/null
+++ b/www-apps/redmine/Manifest
@@ -0,0 +1,2 @@
+EBUILD redmine-0.8.4.ebuild 2470 RMD160 9ee993384fe263874e5c2bc92b4e87c8be6c10a4 SHA1 75f08660633dc9df4bc31c188b82a4f3db927d81 SHA256 b62096e136eb4fed127883a44dc2f163eb2769c89c41f7b4fdcf7e6d36c8b874
+DIST redmine-0.8.4.tar.gz 3169166 RMD160 8ff2bef001b428946732e50700f11a483fad8e2c SHA1 a4b9711f0021c405e63504b42afecd2bcc0d86a4 SHA256 521b3617018141b325fc772ff17f4a208bd4194220e7861de34fb4e8537f8429
diff --git a/www-apps/redmine/redmine-0.8.4.ebuild b/www-apps/redmine/redmine-0.8.4.ebuild
new file mode 100644
index 0000000..01088fb
--- /dev/null
+++ b/www-apps/redmine/redmine-0.8.4.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils confutils
+
+DESCRIPTION="Redmine is a flexible project management web application written using Ruby on Rails framework"
+HOMEPAGE="http://www.redmine.org/"
+SRC_URI="mirror://rubyforge/${PN}/${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="cvs darcs git imagemagick mercurial mysql postgres sqlite3 subversion"
+
+DEPEND=">=dev-ruby/rails-2.1.2:2.1
+ dev-ruby/activerecord:2.1[mysql?,postgres?,sqlite3?]
+ imagemagick? ( dev-ruby/rmagick )"
+RDEPEND="${DEPEND}
+ dev-ruby/actionwebservice
+ dev-ruby/rails-acts_as_tree
+ dev-ruby/rails-acts_as_versioned
+ dev-ruby/coderay
+ dev-ruby/rails-engines
+ dev-ruby/gloc
+ dev-ruby/ruby-net-ldap
+ darcs? ( dev-util/darcs )
+ git? ( dev-util/git )
+ mercurial? ( dev-util/mercurial )
+ subversion? ( >=dev-util/subversion-1.3 )"
+# dev-ruby/rails-gravatarplugin
+# dev-ruby/rails-rfpdf
+
+REDMINE_DIR="/var/lib/${PN}"
+
+pkg_setup() {
+ confutils_require_any mysql postgres sqlite3
+
+ enewgroup redmine
+ # home directory is required for SCM.
+ enewuser redmine -1 -1 "${REDMINE_DIR}" redmine
+}
+
+src_prepare() {
+ # remove delete.me cruft
+ rm -rf log files/delete.me
+ # remove bundled libraries and plugins
+ rm -rf \
+ vendor/rails \
+ vendor/plugins/{actionwebservice,classic_pagination} \
+ vendor/plugins/acts_as_{tree,versioned} \
+ vendor/plugins/{classic_pagination,engines} \
+ vendor/plugins/ruby-net-ldap*
+# vendor/plugins/{gravatar,rfpdf} \
+# vendor/plugins/coderay* vendor/plugins/gloc* \
+}
+
+
+src_install() {
+ dodoc doc/{CHANGELOG,INSTALL,UPGRADING}
+ rm -rf doc
+
+ mv config/database.yml{.example,}
+ mv config/email.yml{.example,}
+
+ insinto /etc/redmine
+ doins -r config/*
+ rm -rf config
+
+ dodir /var/lib/redmine
+ dosym /etc/redmine/ "${REDMINE_DIR}/config"
+ keepdir /var/log/redmine
+ dosym /var/log/redmine/ "${REDMINE_DIR}/log"
+
+ insinto "${REDMINE_DIR}"
+ doins -r . || die
+ keepdir "${REDMINE_DIR}/files"
+
+ fowners -R redmine:redmine \
+ "${REDMINE_DIR}/files" \
+ "${REDMINE_DIR}/tmp" \
+ /var/log/redmine || die
+ fowners redmine:redmine /etc/redmine/environment.rb || die
+
+ # for SCM
+ fowners redmine:redmine "${REDMINE_DIR}" || die
+}
+
+pkg_postinst()
+{
+ elog "Installation notes are at official site:"
+ elog " http://www.redmine.org/wiki/redmine/RedmineInstall"
+ elog "For upgrade instructions take a look at:"
+ elog " http://www.redmine.org/wiki/redmine/RedmineUpgrade"
+}
+